attacks = class:new()

function attacks:init()

stage = 1
mirror = 0
atkdraw = 0
whichgroundatk = 0
whichairatk = 0
groundattack = {
	whichatk = 0,
	active = 0,
	stopcontrol = 0,
	attacks = {
		{
			--basicattack
			timer = 0,
			x = 0,
			y = 0,
			w = 0,
			h = 0,
			stages = {
				{
					dmglength = 16,
					minlength = 5,
					advancetime = 15,
					length = 20,
					x = 0,
					y = 0,
					w = 16,
					h = 16
				},
				{
					dmglength = 16,
					minlength = 5,
					advancetime = 15,
					length = 20,
					x = 0,
					y = 0,
					w = 32,
					h = 16
				},
				{
					dmglength = 20,
					length = 40,
					x = 0,
					y = 0,
					w = 48,
					h = 16
				}
			}
		},
		
		{
			--supahattack
			timer = 0,
			x = 0,
			y = 0,
			w = 0,
			h = 0,
			stages = {
				{
					dmglength = 16,
					minlength = 5,
					advancetime = 15,
					length = 20,
					x = 0,
					y = 0,
					w = 16,
					h = 16
				},
				{
					dmglength = 16,
					minlength = 5,
					advancetime = 15,
					length = 20,
					x = 0,
					y = 0,
					w = 32,
					h = 16
				},
				{
					dmglength = 20,
					length = 40,
					x = 0,
					y = 0,
					w = 48,
					h = 16
				}
			}
		},
	}
}
	
airattack = {
	whichatk = 0,
	active = 0,
	stopcontrol = 0,
	attacks = {
		{
			--1 jumpattack
			timer = 0,
			length = 40,
			dmglength = 30,
			x = 0,
			y = 0,
			w = 0,
			h = 0
		},
		
		{
			--2 flyattack
			timer = 0,
			length = 40,
			dmglength = 30,
			x = 0,
			y = 0,
			w = 0,
			h = 0
		},
	}
}

end

function attacks:update()

if input:pressed("attack") then
 
	etime = love.timer.getTime()
	if onground == 1 and groundattack.active == 0 then
			if player.direction == 0 then mirror = 1 else mirror = 0 end
			groundattack.active = 1
			whichgroundatk = 1
	end
	
	if onground == 0 then
		if airattack.active == 0 and etime - stime < 0.2 then
			if player.direction == 0 then mirror = 1 else mirror = 0 end
			airattack.active = 1
			whichairatk = 1
		end
	end
	
end
 
-- EXECUTE ATTACK

if groundattack.active == 1 then
		groundattack.attacks[whichgroundatk].timer = groundattack.attacks[whichgroundatk].timer+1
		if groundattack.attacks[whichgroundatk].timer < groundattack.attacks[whichgroundatk].stages[stage].dmglength then
		if mirror == 0 then
		groundattack.attacks[whichgroundatk].x = player.x+groundattack.attacks[whichgroundatk].stages[stage].x + 16 
		else 
		groundattack.attacks[whichgroundatk].x = player.x+groundattack.attacks[whichgroundatk].stages[stage].x 
		end
		groundattack.attacks[whichgroundatk].y = player.y+groundattack.attacks[whichgroundatk].stages[stage].y
		if mirror == 0 then groundattack.attacks[whichgroundatk].w = groundattack.attacks[whichgroundatk].stages[stage].w else groundattack.attacks[whichgroundatk].w = groundattack.attacks[whichgroundatk].stages[stage].w*-1 end
		groundattack.attacks[whichgroundatk].h = groundattack.attacks[whichgroundatk].stages[stage].h 
		else
			groundattack.attacks[whichgroundatk].x = 0
			groundattack.attacks[whichgroundatk].y = 0
			groundattack.attacks[whichgroundatk].w = 0
			groundattack.attacks[whichgroundatk].h = 0
		end
		if stage < 3 then
			if groundattack.attacks[whichgroundatk].timer > groundattack.attacks[whichgroundatk].stages[stage].minlength and groundattack.attacks[whichgroundatk].timer < groundattack.attacks[whichgroundatk].stages[stage].advancetime and input:pressed("attack") then
				groundattack.attacks[whichgroundatk].timer = 0
				stage = stage+1
			end
		end
		if groundattack.attacks[whichgroundatk].timer >= groundattack.attacks[whichgroundatk].stages[stage].length then
			groundattack.attacks[whichgroundatk].timer = 0
			groundattack.active = 0
			stage = 1
		end
end
	
	
if airattack.active == 1 then
		
	airattack.attacks[whichairatk].timer = airattack.attacks[whichairatk].timer+1
	if airattack.attacks[whichairatk].timer < airattack.attacks[whichairatk].dmglength and onground == 0 then
	
		if player.direction == 0 then dx = -8 else dx = 8 end
		
	end
	

	if airattack.attacks[whichairatk].timer < airattack.attacks[whichairatk].length and onground == 0 then
		
		dx = 0.9*dx
	   
		
	else

		airattack.attacks[whichairatk].timer = 0
		airattack.active = 0
	
	end
	
			

end

end