

function love.load()

	pause = 0

	world = bump.newWorld()
	map = sti.new("map/themapo")
	cam = camera.new(0,0,400,224)
	cam:setWorld(0, 0, 800, 224)
	platform:new(map)
	pausemenu:new()
	animations:new()
	minimap:new(map)

	
end

--[[
function updateCamera(dt)

	down = love.keyboard.isDown
	--cam:setPosition(player.x, player.y)
	
	--local scaleFactor = down('down') and -0.8 or (down('up') and 0.8 or 0)
	--cam:setScale(cam:getScale() + scaleFactor * dt)
	
	--local angleFactor = down('left') and -0.8 or (down('right') and 0.8 or 0)
	--cam:setAngle(cam:getAngle() + angleFactor * dt)
	cam:push()
		map:draw() 
		player:draw() 
		minimap:grid() 
		animations:draw()
	cam:pop()

	for i=1, #campos do
		if player.x >= campos[i].x and player.x < campos[i].x+campos[i].w and player.y >= campos[i].y and player.y < campos[i].y+campos[i].h then
			cam:setWorld(campos[i].camx, campos[i].camy, campos[i].camw*400, campos[i].camh*224)
		end
	end
  
 end
]]

function drawWorld()
	map:draw()
	minimap:grid()
	player:draw()
	animations:draw()
	
	
	love.graphics.setColor( 255, 125, 0 )
	love.graphics.circle( 'fill', cam.x, cam.y, 5 * ( 1 / cam.scaleX ) - 1 )
	
	love.graphics.setColor( 0, 125, 0 )
	love.graphics.rectangle( 'line', cam:getVisible() )
	
	love.graphics.setColor( 0, 0, 255 )
	love.graphics.polygon( 'line', cam:getPoints() )
	
	
	for i=1, #campos do
		if player.x >= campos[i].x and player.x < campos[i].x+campos[i].w and player.y >= campos[i].y and player.y < campos[i].y+campos[i].h then
			cam:setWorld(campos[i].camx, campos[i].camy, campos[i].camw*400, campos[i].camh*224)
		end
	end
end



function love.updateScene(dt)


cam:moveTo(player.x, player.y)

if input:pressed("pause") then
	if pause == 0 then pause = 0.5 end
	if pause == 1 then pause = -1 end
end

if input:released("pause") then
	if pause == 0.5 then pause = 1 end
	if pause == -1 then pause = 0 end
end

if pause >= 0.5 then pausemenu:update() end
map:update(dt)
if pause <= 0 then player:update(dt) end
if love.keyboard.isDown("r") then state.switch("main;2;100;100;100") end
if input:pressed("quit") then love.event.quit() end


minimap:update()
animations:update(dt)
input:update(dt)

end


function love.drawScene()

	cam:push()
	cam:adjustScale()
	cam:adjustPosition()
    drawWorld()
    cam:pop()

	if pause >= 0.5 then pausemenu:draw() end
	love.graphics.setFont(mpixelfont)
	if cols[1] then love.graphics.print(cols[1].normal.x, 20, 20) end
	if cols[1] then love.graphics.print(cols[1].normal.y, 20, 40) end
	if cols[2] then love.graphics.print(cols[2].normal.x, 40, 20) end
	if cols[2] then love.graphics.print(cols[2].normal.y, 40, 40) end
	
	gl, gt, gw, gh = cam:getVisible()
	cx, cy, cw, ch = cam:getWindow()
	
	love.graphics.print(math.floor(player.x), 100, 20)
	love.graphics.print(math.floor(player.y), 100, 40)
	love.graphics.print(dy, 20, 60)
	love.graphics.print(jump, 100, 60)
	--if cols[1] then love.graphics.print('collided with ' .. tostring(cols[1].other.name), 20, 100) end
	--if cols[2] then love.graphics.print('collided with ' .. tostring(cols[2].other.name), 20, 120) end
	love.graphics.print(gl, 20, 140)
	love.graphics.print(cw, 100, 140)
	love.graphics.print(gt, 20, 160)
	love.graphics.print(ch, 100, 160)
	love.graphics.print(stage, 20, 180)
	--love.graphics.print(air>attack.active, 60, 180)
	if stime then love.graphics.print(stime, 100, 180) end
	if etime then love.graphics.print(etime, 100, 200) end
	--love.graphics.print(cam:getScale(), 180, 230)
	--minimap:draw()

end