animations = class:new()

function animations:init()

	simon = love.graphics.newImage("media/simon.png")

	simongrid = anim8.newGrid(16, 32, simon:getWidth(), simon:getHeight(), 0, 0, 1)
	
	simonstahp = anim8.newAnimation(simongrid(2, 1), 0.1)
	simonstahpm = anim8.newAnimation(simongrid(2, 1), 0.1):flipH()
	simonrun = anim8.newAnimation(simongrid("1-3", 1, 2, 1), 0.3)
	simonrunm = anim8.newAnimation(simongrid("1-3", 1, 2, 1), 0.3):flipH()
	
	direction = 0

end

function animations:update(dt)

	simonrun:update(dt)
	simonrunm:update(dt)
	if input:down("button") then direction = 1 end
	
	if input:down("button2") then direction = 2 end
	
	if input:released("button") then direction = 0 end
	
	if input:released("button2") then direction = 0.5 end
	
end

function animations:draw()
	

	love.graphics.setColor(255, 255, 255)
	if direction == 0 then
		simonstahpm:draw(simon, 200, 192, 0, 0.5, 0.5)
	end
	
	if direction == 0.5 then
		simonstahp:draw(simon, 200, 192, 0, 0.5, 0.5)
	end
	
	if direction == 2 then
		simonrun:draw(simon, 200, 192, 0, 0.5, 0.5)
	end
	
	if direction == 1 then
		simonrunm:draw(simon, 200, 192, 0, 0.5, 0.5)
	end
	

	

	
end