player = class:new()

function player:init(x, y, w, h)

player.x = x
player.y = y
player.w = w
player.h = h
player.speed = 180
onground = 0
dx, dy = 0, 8
maxjump = 50
jump = maxjump
world:add(player, self.x, self.y, self.w, self.h)
cols_len=0

player.r = 0
player.g = 255
player.b = 0

player.direction = 0
attacks:new()

end

function colstuff(dt)

	for i=1, cols_len do

		if cols[i] and cols[i].normal.y == -1 and cols[i].other.name == "block" then jump = maxjump dy = 0.1 end
		
		if cols[i].normal.y == 1 then dy = 0 end
		
		if cols[i].normal.x == 1 then dx = 0.1 end
		
		if cols[i].normal.x == -1 then dx = -0.1 end
 
	end

end



function player:update(dt)
  local speed = self.speed
  
  colstuff(dt)
  
  if input:down("left") and groundattack.active == 0 and airattack.active == 0 then
    dx = -speed * dt
	player.direction = 0
  end
  
  
  if input:down("right") and groundattack.active == 0 and airattack.active == 0 then
    dx = speed * dt
	player.direction = 1
  end
  

  if not input:down("left") and not input:down("right") and airattack.active == 0 then
	dx = 0.5*dx  
  end
  
  
  if input:pressed("jump") and airattack.active == 0 then 
	if jump>0 then dy = -5.5 jump = jump-1 end
	stime = love.timer.getTime()	
  end
 
  if input:released("jump") then
	dy = dy*0.4
  end
 
 
  if dx ~= 0.1 or dy ~= 0.1 then
    player.x, player.y, cols, cols_len = world:move(player, player.x + dx, player.y + dy)
  end
  

	if dy == 0.1 then onground = 1 else onground = 0 end
  
  
-- Zuhanás
  if not cols[1] or cols[1] and cols[1].normal.y == 1 or cols[1] and cols[1].normal.y == 0  then
	if dy<9 then dy = dy+0.2 end
  end
  


  
 -- Levon egy ugrást ha lerohan a platformról
  --if onground == 0 and jump == maxjump then jump = jump-1 end
  

  attacks:update()
  



end

 ----------------------------------------
--[[
	if basicattack.attacking == 1 then
		basicattack.timer = basicattack.timer+1
		if basicattack.timer < basicattack.dmglength then
		basicattack.x = player.x
		basicattack.y = player.y
		basicattack.w = 32
		basicattack.h = 16
		else
			basicattack.x = 0
			basicattack.y = 0
			basicattack.w = 0
			basicattack.h = 0
		end
		if basicattack.timer >= basicattack.length then
			basicattack.timer = 0
			basicattack.attacking = 0
		end
	end
 -- négyzet2 x + w > négyzet1 x 
]]
 -- >----------------------->>>>>


function drawBox(box, r,g,b)
  love.graphics.setColor(r,g,b,70)
  love.graphics.rectangle("fill", box.x, box.y, box.w, box.h)
  love.graphics.setColor(r,g,b)
  love.graphics.rectangle("line", box.x, box.y, box.w, box.h)
end

function player:draw()

  drawBox(self, player.r, player.g, player.b)
 if whichgroundatk > 0 then drawBox(groundattack.attacks[whichgroundatk], 255, 0, 0) end
  if groundattack.whichatk > 0 then drawBox(groundattack[groundattack.whichatk], 255 , 0, 0) end
  
end

return player